<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Device</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Device</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar Device Management Module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga0446f27557835061e73240244273a94d"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga0446f27557835061e73240244273a94d">rlDevicePowerOn</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_client_cbs__t.html">rlClientCbs_t</a> clientCb)</td></tr>
<tr class="memdesc:ga0446f27557835061e73240244273a94d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring mmwave Device Out of Reset.  <a href="#ga0446f27557835061e73240244273a94d">More...</a><br /></td></tr>
<tr class="separator:ga0446f27557835061e73240244273a94d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfb717ea2eb4a9e04a8cad7f7b9da50c"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gadfb717ea2eb4a9e04a8cad7f7b9da50c">rlDeviceAddDevices</a> (rlUInt8_t deviceMap)</td></tr>
<tr class="memdesc:gadfb717ea2eb4a9e04a8cad7f7b9da50c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring mmwave Device Out of Reset.  <a href="#gadfb717ea2eb4a9e04a8cad7f7b9da50c">More...</a><br /></td></tr>
<tr class="separator:gadfb717ea2eb4a9e04a8cad7f7b9da50c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2aeb4dbdfe7caba305f8fcc7f667520c"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga2aeb4dbdfe7caba305f8fcc7f667520c">rlDeviceRemoveDevices</a> (rlUInt8_t deviceMap)</td></tr>
<tr class="memdesc:ga2aeb4dbdfe7caba305f8fcc7f667520c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes connected mmwave devices.  <a href="#ga2aeb4dbdfe7caba305f8fcc7f667520c">More...</a><br /></td></tr>
<tr class="separator:ga2aeb4dbdfe7caba305f8fcc7f667520c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87dbe793bfa07e59ecf0977328d15927"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga87dbe793bfa07e59ecf0977328d15927">rlDevicePowerOff</a> (void)</td></tr>
<tr class="memdesc:ga87dbe793bfa07e59ecf0977328d15927"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shutdown mmwave Device.  <a href="#ga87dbe793bfa07e59ecf0977328d15927">More...</a><br /></td></tr>
<tr class="separator:ga87dbe793bfa07e59ecf0977328d15927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa7cbba7a702c709dc796461577124a6f"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gaa7cbba7a702c709dc796461577124a6f">rlDeviceRfStart</a> (rlUInt8_t deviceMap)</td></tr>
<tr class="memdesc:gaa7cbba7a702c709dc796461577124a6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables mmwave RF/Analog Sub system.  <a href="#gaa7cbba7a702c709dc796461577124a6f">More...</a><br /></td></tr>
<tr class="separator:gaa7cbba7a702c709dc796461577124a6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47b17bee41651fce6d9abd0453b2ba87"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga47b17bee41651fce6d9abd0453b2ba87">rlDeviceFileDownload</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_file_data__t.html">rlFileData_t</a> *data, rlUInt16_t remChunks)</td></tr>
<tr class="memdesc:ga47b17bee41651fce6d9abd0453b2ba87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Download mmwave Firmware/Patches over SPI.  <a href="#ga47b17bee41651fce6d9abd0453b2ba87">More...</a><br /></td></tr>
<tr class="separator:ga47b17bee41651fce6d9abd0453b2ba87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64015ecceaf48881d0b967c17c915dd4"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga64015ecceaf48881d0b967c17c915dd4">rlDeviceGetMssVersion</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_fw_version_param__t.html">rlFwVersionParam_t</a> *data)</td></tr>
<tr class="memdesc:ga64015ecceaf48881d0b967c17c915dd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get mmWave Master SS version.  <a href="#ga64015ecceaf48881d0b967c17c915dd4">More...</a><br /></td></tr>
<tr class="separator:ga64015ecceaf48881d0b967c17c915dd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfda96f5d89196acc9b535b587cd7f2b"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gadfda96f5d89196acc9b535b587cd7f2b">rlDeviceGetRfVersion</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_fw_version_param__t.html">rlFwVersionParam_t</a> *data)</td></tr>
<tr class="memdesc:gadfda96f5d89196acc9b535b587cd7f2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get mmWave RF ROM and patch version.  <a href="#gadfda96f5d89196acc9b535b587cd7f2b">More...</a><br /></td></tr>
<tr class="separator:gadfda96f5d89196acc9b535b587cd7f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf06816b7012ce586a08889d265a8dffa"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gaf06816b7012ce586a08889d265a8dffa">rlDeviceGetVersion</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_version__t.html">rlVersion_t</a> *data)</td></tr>
<tr class="memdesc:gaf06816b7012ce586a08889d265a8dffa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get mmWave Hardware, Firmware/patch and mmWaveLink version.  <a href="#gaf06816b7012ce586a08889d265a8dffa">More...</a><br /></td></tr>
<tr class="separator:gaf06816b7012ce586a08889d265a8dffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab168c74950f4b151457407902139e56a"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gab168c74950f4b151457407902139e56a">rlDeviceGetMmWaveLinkVersion</a> (<a class="el" href="structrl_sw_version_param__t.html">rlSwVersionParam_t</a> *data)</td></tr>
<tr class="memdesc:gab168c74950f4b151457407902139e56a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get mmWaveLink Version.  <a href="#gab168c74950f4b151457407902139e56a">More...</a><br /></td></tr>
<tr class="separator:gab168c74950f4b151457407902139e56a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbf862458493fc162ee63a2a0bd09ca3"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gafbf862458493fc162ee63a2a0bd09ca3">rlDeviceMcuClkConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_mcu_clk_cfg__t.html">rlMcuClkCfg_t</a> *data)</td></tr>
<tr class="memdesc:gafbf862458493fc162ee63a2a0bd09ca3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the configurations to setup the desired frequency of the MCU Clock.  <a href="#gafbf862458493fc162ee63a2a0bd09ca3">More...</a><br /></td></tr>
<tr class="separator:gafbf862458493fc162ee63a2a0bd09ca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24bd512dcb3d2200c51503d83bdefda6"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga24bd512dcb3d2200c51503d83bdefda6">rlDevicePmicClkConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_pmic_clk_cfg__t.html">rlPmicClkCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga24bd512dcb3d2200c51503d83bdefda6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the configurations for PMIC clock.  <a href="#ga24bd512dcb3d2200c51503d83bdefda6">More...</a><br /></td></tr>
<tr class="separator:ga24bd512dcb3d2200c51503d83bdefda6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85aba2a8108a22999638707e2927ce3b"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga85aba2a8108a22999638707e2927ce3b">rlDeviceLatentFaultTests</a> (rlUInt8_t deviceMap, <a class="el" href="structrllatent_fault__t.html">rllatentFault_t</a> *data)</td></tr>
<tr class="memdesc:ga85aba2a8108a22999638707e2927ce3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the configurations for latent fault test.  <a href="#ga85aba2a8108a22999638707e2927ce3b">More...</a><br /></td></tr>
<tr class="separator:ga85aba2a8108a22999638707e2927ce3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad78a53407db4fd05240d18dcb1d66d14"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gad78a53407db4fd05240d18dcb1d66d14">rlDeviceEnablePeriodicTests</a> (rlUInt8_t deviceMap, <a class="el" href="structrlperiodic_test__t.html">rlperiodicTest_t</a> *data)</td></tr>
<tr class="memdesc:gad78a53407db4fd05240d18dcb1d66d14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the configurations for periodic test.  <a href="#gad78a53407db4fd05240d18dcb1d66d14">More...</a><br /></td></tr>
<tr class="separator:gad78a53407db4fd05240d18dcb1d66d14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a9601d53f2f5b419270afe98619d34e"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga8a9601d53f2f5b419270afe98619d34e">rlDeviceSetTestPatternConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrltest_pattern__t.html">rltestPattern_t</a> *data)</td></tr>
<tr class="memdesc:ga8a9601d53f2f5b419270afe98619d34e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup for test pattern to be generated.  <a href="#ga8a9601d53f2f5b419270afe98619d34e">More...</a><br /></td></tr>
<tr class="separator:ga8a9601d53f2f5b419270afe98619d34e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga141ef81a150ce976184331332dbf5e5d"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga141ef81a150ce976184331332dbf5e5d">rlDeviceConfigureCrc</a> (rlCrcType_t crcType)</td></tr>
<tr class="memdesc:ga141ef81a150ce976184331332dbf5e5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures the CRC Type in mmWaveLink Driver.  <a href="#ga141ef81a150ce976184331332dbf5e5d">More...</a><br /></td></tr>
<tr class="separator:ga141ef81a150ce976184331332dbf5e5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9acb113206cccb58e7fad190f3fc9667"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga9acb113206cccb58e7fad190f3fc9667">rlDeviceConfigureAckTimeout</a> (rlUInt32_t ackTimeout)</td></tr>
<tr class="memdesc:ga9acb113206cccb58e7fad190f3fc9667"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures the Acknowledgement timeout in mmWaveLink Driver.  <a href="#ga9acb113206cccb58e7fad190f3fc9667">More...</a><br /></td></tr>
<tr class="separator:ga9acb113206cccb58e7fad190f3fc9667"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4db84371e91edcc2c247b173b0d77e96"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga4db84371e91edcc2c247b173b0d77e96">rlDeviceSetContStreamingModeConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_cont_streaming_mode_cfg__t.html">rlDevContStreamingModeCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga4db84371e91edcc2c247b173b0d77e96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets Continous Streaming Mode Configuration.  <a href="#ga4db84371e91edcc2c247b173b0d77e96">More...</a><br /></td></tr>
<tr class="separator:ga4db84371e91edcc2c247b173b0d77e96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48f63eb0d816475c2aa87d1800d2b473"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#ga48f63eb0d816475c2aa87d1800d2b473">rlDeviceGetContStreamingModeConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_cont_streaming_mode_cfg__t.html">rlDevContStreamingModeCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga48f63eb0d816475c2aa87d1800d2b473"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets continuous Streaming Mode Configuration.  <a href="#ga48f63eb0d816475c2aa87d1800d2b473">More...</a><br /></td></tr>
<tr class="separator:ga48f63eb0d816475c2aa87d1800d2b473"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd0e92938bf3698507b97bcd083117c5"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___device.html#gafd0e92938bf3698507b97bcd083117c5">rlDeviceSetMiscConfig</a> (rlUInt8_t deviceMap, rlDevMiscCfg_t *data)</td></tr>
<tr class="memdesc:gafd0e92938bf3698507b97bcd083117c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup misc. device configurations.  <a href="#gafd0e92938bf3698507b97bcd083117c5">More...</a><br /></td></tr>
<tr class="separator:gafd0e92938bf3698507b97bcd083117c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Radar Device Management Module. </p>
<p>The Device module has interface for Enabling and controlling Radar device. Configures the callbacks(SPI, Interrupt, OS etc) for communication with device It also allows Firmware download over SPI.</p>
<p>Related Files</p><ul>
<li>rl_device.c </li>
</ul>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gadfb717ea2eb4a9e04a8cad7f7b9da50c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceAddDevices </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bring mmwave Device Out of Reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- bitmap of devices to be connected</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Bring mmwave Device Out of Reset. Application should wait for async event subBlock RL_DEV_AE_MSSPOWERUPDONE_SB before issuing any other APIs. This API is valid only for casecade mode of AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga9acb113206cccb58e7fad190f3fc9667"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceConfigureAckTimeout </td>
          <td>(</td>
          <td class="paramtype">rlUInt32_t&#160;</td>
          <td class="paramname"><em>ackTimeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures the Acknowledgement timeout in mmWaveLink Driver. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ackTimeout</td><td>- ACK timeout, 0 - No ACK</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Configures the Acknowledgement timeout in mmWaveLink Driver, 0 - Disable ACK </p>

</div>
</div>
<a class="anchor" id="ga141ef81a150ce976184331332dbf5e5d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceConfigureCrc </td>
          <td>(</td>
          <td class="paramtype">rlCrcType_t&#160;</td>
          <td class="paramname"><em>crcType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures the CRC Type in mmWaveLink Driver. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">crcType</td><td>- CRC Types, 0 - No CRC</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Configures the CRC Type in mmWaveLink Driver </p>

</div>
</div>
<a class="anchor" id="gad78a53407db4fd05240d18dcb1d66d14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceEnablePeriodicTests </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrlperiodic_test__t.html">rlperiodicTest_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the configurations for periodic test. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for periodic test Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets the configurations for periodic test. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga47b17bee41651fce6d9abd0453b2ba87"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceFileDownload </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_file_data__t.html">rlFileData_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt16_t&#160;</td>
          <td class="paramname"><em>remChunks</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Download mmwave Firmware/Patches over SPI. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- File Chunk </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">remChunks</td><td>- Number of remaining Chunks</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Download mmwave Firmware/Patches over SPI. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga48f63eb0d816475c2aa87d1800d2b473"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetContStreamingModeConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_cont_streaming_mode_cfg__t.html">rlDevContStreamingModeCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets continuous Streaming Mode Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for continuous Streaming Mode Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Gets continuous Streaming Mode Configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="gab168c74950f4b151457407902139e56a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetMmWaveLinkVersion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structrl_sw_version_param__t.html">rlSwVersionParam_t</a> *&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get mmWaveLink Version. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for Version Information</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Get mmWaveLink Version </p>

</div>
</div>
<a class="anchor" id="ga64015ecceaf48881d0b967c17c915dd4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetMssVersion </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_fw_version_param__t.html">rlFwVersionParam_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get mmWave Master SS version. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for Version Information</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Get mmWave Master SS version. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="gadfda96f5d89196acc9b535b587cd7f2b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetRfVersion </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_fw_version_param__t.html">rlFwVersionParam_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get mmWave RF ROM and patch version. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for Version Information</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Get mmWave RF ROM and patch version </p>

</div>
</div>
<a class="anchor" id="gaf06816b7012ce586a08889d265a8dffa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetVersion </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_version__t.html">rlVersion_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get mmWave Hardware, Firmware/patch and mmWaveLink version. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for Version Information</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Get mmWave Hardware, Firmware/patch and mmWaveLink version </p>

</div>
</div>
<a class="anchor" id="ga85aba2a8108a22999638707e2927ce3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceLatentFaultTests </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrllatent_fault__t.html">rllatentFault_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the configurations for latent fault test. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for latent fault test Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets the configurations for latent fault test. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="gafbf862458493fc162ee63a2a0bd09ca3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceMcuClkConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_mcu_clk_cfg__t.html">rlMcuClkCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the configurations to setup the desired frequency of the MCU Clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for MCU clock Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets the configurations to setup the desired frequency of the MCU Clock. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga24bd512dcb3d2200c51503d83bdefda6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDevicePmicClkConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_pmic_clk_cfg__t.html">rlPmicClkCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the configurations for PMIC clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for PMIC clock Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets the configurations for PMIC clock. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga87dbe793bfa07e59ecf0977328d15927"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDevicePowerOff </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Shutdown mmwave Device. </p>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Stops mmwave operations and also shuts down mmwave device </p>

</div>
</div>
<a class="anchor" id="ga0446f27557835061e73240244273a94d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDevicePowerOn </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_client_cbs__t.html">rlClientCbs_t</a>&#160;</td>
          <td class="paramname"><em>clientCb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bring mmwave Device Out of Reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- bitmap of all the connected Device </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">clientCb</td><td>- Client Callbacks for OS/SPI/Interrupts etc</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Bring mmwave Device Out of Reset. Application should wait for async event of subBlock RL_DEV_AE_MSSPOWERUPDONE_SB (in case of AWR1243) before issuing any other APIs </p>

</div>
</div>
<a class="anchor" id="ga2aeb4dbdfe7caba305f8fcc7f667520c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceRemoveDevices </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes connected mmwave devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of mmwave devices to be disconnected</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Removes mmwave devices and also shuts down the devices. This API is valid only for casecade mode of AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="gaa7cbba7a702c709dc796461577124a6f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceRfStart </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enables mmwave RF/Analog Sub system. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>It enables RF/Analog Subsystem. </p>

</div>
</div>
<a class="anchor" id="ga4db84371e91edcc2c247b173b0d77e96"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetContStreamingModeConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_cont_streaming_mode_cfg__t.html">rlDevContStreamingModeCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets Continous Streaming Mode Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for Continous Streaming Mode Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>This function configures the transfer of captured ADC samples continuously without missing any sample to an external host. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="gafd0e92938bf3698507b97bcd083117c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetMiscConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlDevMiscCfg_t *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Setup misc. device configurations. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for device Configuration </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Set misc. device configurations of MasterMSS, where currently it set CRC type for async event message sent by MSS to Host. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga8a9601d53f2f5b419270afe98619d34e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetTestPatternConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrltest_pattern__t.html">rltestPattern_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Setup for test pattern to be generated. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for periodic test Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Set the configurations to setup the test pattern to be generated and transferred over the selected high speed interface (LVDS/CSI2). This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
